Skip to main content
POST
Edit Promo Credit Config

Endpoint Overview

POST https://api.unibee.dev/merchant/credit/edit_promo_config Edit Promo Credit Config

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
currency
string<string>
required

currency

description
string<*string>

description

discountCodeExclusive
integer<*int>

discount code exclusive when purchase, default no, 0-no, 1-yes

exchangeRate
integer<*int64>

keep two decimal places,scale = 100, 1 currency = 1 credit * (exchange_rate/100), main account fixed rate to 100

logo image base64, show when user purchase

logoUrl
string<*string>

logo url, show when user purchase

metaData
object

meta_data(json)

name
string<*string>

name

payoutEnable
integer<*int>

credit account can payout or not, default no, 0-no, 1-yes

previewDefaultUsed
integer<*int>

is default used when in purchase preview, default no, 0-no, 1-yes

rechargeEnable
integer<*int>

credit account can be recharged or not, 0-no, 1-yes

recurring
integer<*int>

apply to recurring, default no, 0-no,1-yes

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>